"""v22_9_0_feature_377

Revision ID: 3a809fa594f8
Revises: f770297833c5
Create Date: 2022-08-30 22:08:31.516245

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = '3a809fa594f8'
down_revision = 'f770297833c5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('idx_issue_redeem',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('event_type', sa.String(length=10), nullable=True),
    sa.Column('transaction_hash', sa.String(length=66), nullable=True),
    sa.Column('token_address', sa.String(length=42), nullable=True),
    sa.Column('locked_address', sa.String(length=42), nullable=True),
    sa.Column('target_address', sa.String(length=42), nullable=True),
    sa.Column('amount', sa.BigInteger(), nullable=True),
    sa.Column('block_timestamp', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_idx_issue_redeem_event_type'), 'idx_issue_redeem', ['event_type'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_issue_redeem_locked_address'), 'idx_issue_redeem', ['locked_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_issue_redeem_target_address'), 'idx_issue_redeem', ['target_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_issue_redeem_token_address'), 'idx_issue_redeem', ['token_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_idx_issue_redeem_transaction_hash'), 'idx_issue_redeem', ['transaction_hash'], unique=False, schema=get_db_schema())
    op.create_table('idx_issue_redeem_block_number',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.BigInteger(), autoincrement=True, nullable=False),
    sa.Column('latest_block_number', sa.BigInteger(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('idx_issue_redeem_block_number', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_issue_redeem_transaction_hash'), table_name='idx_issue_redeem', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_issue_redeem_token_address'), table_name='idx_issue_redeem', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_issue_redeem_target_address'), table_name='idx_issue_redeem', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_issue_redeem_locked_address'), table_name='idx_issue_redeem', schema=get_db_schema())
    op.drop_index(op.f('ix_idx_issue_redeem_event_type'), table_name='idx_issue_redeem', schema=get_db_schema())
    op.drop_table('idx_issue_redeem', schema=get_db_schema())
    # ### end Alembic commands ###
